## kdelibs4support 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KDELibs4Support VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(CMakeFindFrameworks)

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport Designer)

find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DesignerPlugin ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GlobalAccel ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Emoticons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Service ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5TextWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5UnitConversion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KDED ${KF5_DEP_VERSION} REQUIRED)

if(WIN32)
    find_package(KDEWin REQUIRED)
endif()

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()
set(HAVE_X11 ${X11_FOUND})
if (HAVE_X11)
  add_feature_info("X11 Session Management (libSM)" X11_SM_FOUND "Support for session management in KApplication")
  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
endif ()
if (APPLE)
    cmake_find_frameworks(CoreFoundation)
endif ()

include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)

ecm_setup_version(PROJECT VARIABLE_PREFIX KDELIBS4SUPPORT
                                 VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h"
                                 PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
                                 SOVERSION 5)

# QUrl
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_USE_QSTRINGBUILDER)

# This one won't be needed when CMake 2.8.13 is depended on.
add_definitions(
    -DKDELIBS4SUPPORT_DEPRECATED= # if KDELIBS4SUPPORT_DEPRECATED is already defined the other deprecated macros won't be defined
    -DKDELIBS4SUPPORT_DEPRECATED_NO_EXPORT=KDELIBS4SUPPORT_NO_EXPORT
    -DKDELIBS4SUPPORT_DEPRECATED_EXPORT=KDELIBS4SUPPORT_EXPORT
)

add_definitions(-DTRANSLATION_DOMAIN=\"kdelibs4support\")

add_executable(kf5-config kde-config.cpp )
ecm_mark_nongui_executable(kf5-config)

target_link_libraries(kf5-config KF5::CoreAddons KF5::I18n KF5::ConfigCore KF5::KDELibs4Support)
target_include_directories(kf5-config PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../..")

install(TARGETS kf5-config EXPORT KF5KDELibs4SupportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ) # put this for now into the export set KDELibs4SupportTargets, so that it exists and is not empty


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDELibs4Support")

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDELibs4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5KDELibs4SupportConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5KDELibs4SupportTargets.cmake
        NAMESPACE KF5::)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdelibs4support_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
        COMPONENT Devel)



#
# Compatibility file
#
set(CMAKECONFIG_COMPAT_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5KDE4Support")
if(BUILD_SHARED_LIBS)
    set(KDELibs4Support_LIB_TYPE SHARED)
else()
    set(KDELibs4Support_LIB_TYPE STATIC)
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5KDE4SupportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    VERSION ${KF5_VERSION}
    COMPATIBILITY AnyNewerVersion
)
install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF5KDE4SupportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_COMPAT_INSTALL_DIR}"
    COMPONENT Devel
)



if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(cmake)
add_subdirectory(data)
add_subdirectory(docs)
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()


set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 90)
set (KDE_VERSION_RELEASE 00)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
# For git master, use this:
set (KDE_VERSION_STRING "${KDE_VERSION} (KDE Frameworks >= 20121130)")
# For a stable release, use this:
#set (KDE_VERSION_STRING "${KDE_VERSION}")

include(CreateKDELibsDependenciesFile.cmake)
set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_LIBDIR}/cmake/KDELibs4)

# Used in configure_file() and install(EXPORT)
set(KDE4_TARGET_PREFIX KDE4__)

################# install files #################

install( FILES ${CMAKE_CURRENT_BINARY_DIR}/KDELibsDependencies.cmake
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/kde4_cmake_uninstall.cmake.in
               ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/Win32.Manifest.in
         DESTINATION ${CMAKECONFIG_INSTALL_DIR} COMPONENT Devel)

# run a script before installing the exports files which deletes previously installed
# configuration specific export files KDELibs4(Library|Tools)Targets-<config>.cmake
# if the main exports file KDELibs4(Library|Tools)Targets.cmake has changed. This makes sure
# that this main file doesn't include older and different configuration specific exports files,
# which might have a different set of targets or targets with different names.
# The code for installing the exports files will soon go into a macro. Alex
install(CODE "set(EXPORT_FILES KDELibs4LibraryTargets.cmake)"
        CODE "set(EXPORT_INSTALL_DIR \"${CMAKECONFIG_INSTALL_DIR}\")"
        SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/check_installed_exports_file.cmake" )
install(EXPORT KF5KDELibs4SupportTargets
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        NAMESPACE ${KDE4_TARGET_PREFIX}
        FILE KF5KDELibs4LibraryTargets.cmake
        COMPONENT Devel)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

if (HAVE_X11 AND NOT X11_SM_FOUND)
  message(FATAL_ERROR "The X11 Session Management library (libSM) is required when building on X11.")
endif()

=== tests/CMakeLists.txt ===

include(ECMMarkAsTest)

macro(KDELIBS4SUPPORT_EXAMPLES)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} KF5::KDELibs4Support Qt5::Test Qt5::Network Qt5::Widgets KF5::WidgetsAddons KF5::CoreAddons KF5::I18n KF5::XmlGui KF5::Completion KF5::Notifications KF5::IconThemes KF5::KIOFileWidgets)
    ecm_mark_as_test(${_testname})
  endforeach()
endmacro()

kdelibs4support_examples(
  kcolordlgtest
  kdebugtest_gui
  kdirselectdialogtest
  kdialogtest
  kmdcodectest
  kmessagetest
  kcmdlineargstest
  kdialogbuttonboxtest
  kmessageboxqueuedtest
  kprogressdialogtest
  khboxtest
  kshortcuttest
  kstatusbartest
  ksystemtraytest
  ktabwidgettest
  kfontdialogtest
  ktextbrowsertest
  keditlistboxtest
  knuminputtest
  kinputdialogtest
  kiopassdlgtest
  kmfitest
  kscantest
  netaccesstest
  kfstest
  kfiledialogtest
  kdatetimewidgettest
  kdatewidgettest
  kfiletreeviewtest
  kprintpreview_test
  genericfactory
)

set(networkingclient_SRCS networkingclient.cpp )

ki18n_wrap_ui(networkingclient_SRCS networkingclientview.ui)
qt5_add_dbus_interface(networkingclient_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../src/solid/org.kde.Solid.Networking.Client.xml clientinterface)
add_executable(networkingclient ${networkingclient_SRCS})

target_link_libraries(networkingclient KF5::KDELibs4Support Qt5::Widgets)
if(WIN32)
    target_link_libraries(networkingclient Qt5::Network)
endif()

##### test for solid-networkstatus #####

ki18n_wrap_ui(networkingservice_SRCS networkingserviceview.ui)
qt5_add_dbus_interface(networkingservice_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../src/solid-networkstatus/org.kde.Solid.Networking.Service.xml serviceinterface)
add_executable(networkingservice networkingservice.cpp ${networkingservice_SRCS})
target_link_libraries(networkingservice KF5::KDELibs4Support)

###### kxerrorhandlertest #####

if (X11_FOUND)
  find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
  kdelibs4support_examples( kxerrorhandlertest )

  target_link_libraries(kxerrorhandlertest ${X11_X11_LIB} Qt5::X11Extras)
endif ()

=== docs/kcontrol5/CMakeLists.txt ===
add_subdirectory(kcm_ssl)

=== cmake/modules-tests/GObject/CMakeLists.txt ===
include("${CMAKE_CURRENT_SOURCE_DIR}/../TestFindPackage.cmake")

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../modules" )

test_find_package(GObject  GOBJECT  INCLUDE_DIR LIBRARIES DEFINITIONS)

=== debian/changelog ===
kdelibs4support (5.44.0-0ubuntu3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 21:58:51 -0500

kdelibs4support (5.44.0-0ubuntu2) bionic; urgency=medium

  * Now libssl-dev depends on v1.1, allow libssl1.0-dev as fallback in
    devel package depends. Fixes build of KF5 kopete in Kubuntu CI,
    which we may wish to backport

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 09 Apr 2018 16:31:12 +0100

kdelibs4support (5.44.0-0ubuntu1) bionic; urgency=medium

  * Update symbols after upstream change preventing many being wrongly
    leaked.
  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:56 +0000

kdelibs4support (5.43.0-0ubuntu4) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 11:28:49 -0600

kdelibs4support (5.43.0-0ubuntu3) bionic; urgency=medium

  * Add back and update kubuntu_disable_failing_tests.diff as upstream
    fix did not work.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Feb 2018 21:12:42 +0000

kdelibs4support (5.43.0-0ubuntu2) bionic; urgency=medium

  * Revert and redo symbols update.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Feb 2018 12:19:18 +0000

kdelibs4support (5.43.0-0ubuntu1) bionic; urgency=medium

  * Drop d/p/kubuntu_disable_failing_tests.diff
  * Update symbols after upstream change preventing many being wrongly
    leaked.
  * New upstream release (5.43.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:36 +0000

kdelibs4support (5.42.0-0ubuntu1) bionic; urgency=medium

  * Drop fix testSmb tes patch. Fixed upstream.
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:42 +0000

kdelibs4support (5.41.0-0ubuntu4) bionic; urgency=medium

  * Correct the failing testSmb test.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Dec 2017 20:09:54 -0600

kdelibs4support (5.41.0-0ubuntu3) bionic; urgency=medium

  * Rebuild against new qtbase ABI 5.9.3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 18:10:56 +0100

kdelibs4support (5.41.0-0ubuntu2) bionic; urgency=medium

  * Add back patch for failing tests. Not yet fixed upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Dec 2017 12:29:04 +0000

kdelibs4support (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:04:16 -0600

kdelibs4support (5.40.0-0ubuntu2) bionic; urgency=medium

  * Add back patch for failing tests. Not yet fixed upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 27 Nov 2017 12:51:56 +0000

kdelibs4support (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:43 +0000

kdelibs4support (5.38.0-0ubuntu3) bionic; urgency=medium

  * debian/patches: fix-kmimetypetest-with-shared-mime-info-1.9.patch
    Add application/x-trig to KmimeTypeTest skip list, due to current
    mismatch with shared-mimetype-info 1.9 (KDE Bug: 387028)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 Nov 2017 15:34:36 +0000

=== debian/control ===
Source: kdelibs4support
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               kded5-dev (>= 5.44.0~),
               kdesignerplugin (>= 5.44.0~),
               kgendesignerplugin (>= 5.44.0~),
               libintl-perl,
               libkf5completion-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5emoticons-dev (>= 5.44.0~),
               libkf5globalaccel-dev (>= 5.44.0~),
               libkf5guiaddons-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5textwidgets-dev (>= 5.44.0~),
               libkf5unitconversion-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libsm-dev,
               libssl-dev,
               liburi-perl,
               libx11-dev,
               network-manager-dev (>= 0.7.0~) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kdelibs4support
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support

Package: libkf5kdelibs4support-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5kdelibs4support5-data
Replaces: libkf5kdelibs4support5-data
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains the data files used by kdelibs4support.

Package: libkf5kdelibs4support-dev
Architecture: any
Section: libdevel
Depends: kgendesignerplugin (>= 5.44.0~),
         kinit-dev (>= 5.44.0~),
         kross-dev (>= 5.44.0~),
         libkf5configwidgets-dev (>= 5.44.0~),
         libkf5crash-dev (>= 5.44.0~),
         libkf5dnssd-dev (>= 5.44.0~),
         libkf5doctools-dev (>= 5.44.0~),
         libkf5emoticons-dev (>= 5.44.0~),
         libkf5guiaddons-dev (>= 5.44.0~),
         libkf5iconthemes-dev (>= 5.44.0~),
         libkf5idletime-dev (>= 5.44.0~),
         libkf5itemmodels-dev (>= 5.44.0~),
         libkf5kcmutils-dev (>= 5.44.0~),
         libkf5kdelibs4support5 (= ${binary:Version}),
         libkf5kdelibs4support5-bin (= ${binary:Version}),
         libkf5khtml-dev (>= 5.44.0~),
         libkf5mediaplayer-dev (>= 5.44.0~),
         libkf5newstuff-dev (>= 5.44.0~),
         libkf5notifications-dev (>= 5.44.0~),
         libkf5notifyconfig-dev (>= 5.44.0~),
         libkf5parts-dev (>= 5.44.0~),
         libkf5plotting-dev (>= 5.44.0~),
         libkf5style-dev (>= 5.44.0~),
         libkf5su-dev (>= 5.44.0~),
         libkf5textwidgets-dev (>= 5.44.0~),
         libkf5threadweaver-dev (>= 5.44.0~),
         libkf5unitconversion-dev (>= 5.44.0~),
         libkf5wallet-dev (>= 5.44.0~),
         libkf5webkit-dev (>= 5.44.0~),
         libkf5windowsystem-dev (>= 5.44.0~),
         libssl-dev | libssl1.0-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kde4support
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.
 .
 Contains development files for kde4support.

Package: libkf5kdelibs4support5
Architecture: any
Multi-Arch: same
Depends: libkf5kdelibs4support-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5kdelibs4support5-bin (= ${binary:Version})
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 Note that some of the classes in this framework, especially
 KStandardDirs, may not work correctly unless any libraries
 and other software using the KDE4 Support framework are
 installed to the same location as KDE4Support, although
 it may be sufficient to set the KDEDIRS environment
 variable correctly.

Package: libkf5kdelibs4support5-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5kdelibs4support-data (<< 5.12.0~)
Replaces: libkf5kdelibs4support-data (<< 5.12.0~)
Description: Porting aid from KDELibs4.
 This framework provides code and utilities to ease
 the transition from kdelibs 4 to KDE Frameworks 5.
 This includes CMake macros and C++ classes whose
 functionality has been replaced by code in CMake,
 Qt and other frameworks.
 .
 Code should aim to port away from this framework eventually.
 The API documentation of the classes in this framework and
 the notes at <http://community.kde.org/Frameworks/Porting_Notes>
 should help with this.
 .
 This package contains binaries and plugins from kdelibs4support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5kdelibs4support5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, cmake, debhelper, xvfb, xauth, dbus (>= 1.8), openbox, kded5,
         libkf5service-bin, tzdata
Restrictions: build-needed

#Tests: acc
#Depends: @, dh-acc, exuberant-ctags
#Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kdelibs4support-([\d.]+)\.tar\.xz

## kdelibs4support 5.50.0

=== debian/changelog ===
kdelibs4support (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:29 +0100

kdelibs4support (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * No change rebuild against Qt 5.10
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:35 +0100

kdelibs4support (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
  * Add libnm-dev and libnm-util-dev to Build-Depends

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:26 +0100

kdelibs4support (5.46.0-1) unstable; urgency=medium

  * New revision
  * testsuite: Run tests one at the time
  * Add new patch: Disable-kuniqueapptest.patch (Closes: 898081)
  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:02 +0200

kdelibs4support (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:38 +0100

kdelibs4support (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Use openssl 1.1 (Closes: 850888)
  * Drop network manager build dependency (Closes: 862877)
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:41 +0200

kdelibs4support (5.44.0-2) sid; urgency=medium

  * New revision
  * Update symbols files
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Mar 2018 08:19:17 +0100

kdelibs4support (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:02 +0100

kdelibs4support (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 13:11:08 +0100

kdelibs4support (5.42.0-2) sid; urgency=medium

  * New revision
  * Bump libkf5itemmodels-dev version dependency for the -dev package
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:15 +0100

kdelibs4support (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:08 +0100

kdelibs4support (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.38.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.41.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.2.
  * Refresh patches
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:43 -0300

kdelibs4support (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:55 +0200

kdelibs4support (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Drop Multi-Arch: foreign from the dev pkg.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the report (Closes: 872085)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:15 +0200

kdelibs4support (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Add new patch: kmimetypetest-accept-application-x-sharedlib-for-executab.patch
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Jonathan Riddell ]
  * update .install for moved docs

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:43:02 +0200

kdelibs4support (5.28.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Update symbols files from buildds logs (5.28.0-1)

  [ Maximiliano Curia ]
  * Mark libkf5kdelibs4support-data Multi-Arch: foreign
    Thanks to Helmut Grohne for this report and the work on multiarch
    (Closes: 853959)
  * Add new upstream patch:
    Fix-bug-in-kfiledialog.cpp-that-causes-crashing-when-nati.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 01 Apr 2017 18:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,45 +3,46 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               kded5-dev (>= 5.44.0~),
-               kdesignerplugin (>= 5.44.0~),
-               kgendesignerplugin (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.50.0~),
+               kded5-dev (>= 5.50.0~),
+               kdesignerplugin (>= 5.50.0~),
+               kgendesignerplugin (>= 5.50.0~),
                libintl-perl,
-               libkf5completion-dev (>= 5.44.0~),
-               libkf5config-dev (>= 5.44.0~),
-               libkf5configwidgets-dev (>= 5.44.0~),
-               libkf5crash-dev (>= 5.44.0~),
-               libkf5dbusaddons-dev (>= 5.44.0~),
-               libkf5doctools-dev (>= 5.44.0~),
-               libkf5emoticons-dev (>= 5.44.0~),
-               libkf5globalaccel-dev (>= 5.44.0~),
-               libkf5guiaddons-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5notifications-dev (>= 5.44.0~),
-               libkf5parts-dev (>= 5.44.0~),
-               libkf5service-dev (>= 5.44.0~),
-               libkf5textwidgets-dev (>= 5.44.0~),
-               libkf5unitconversion-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
-               libkf5windowsystem-dev (>= 5.44.0~),
-               libkf5xmlgui-dev (>= 5.44.0~),
-               libqt5svg5-dev (>= 5.6.1~),
-               libqt5x11extras5-dev (>= 5.6.1~),
+               libkf5completion-dev (>= 5.50.0~),
+               libkf5config-dev (>= 5.50.0~),
+               libkf5configwidgets-dev (>= 5.50.0~),
+               libkf5crash-dev (>= 5.50.0~),
+               libkf5dbusaddons-dev (>= 5.50.0~),
+               libkf5doctools-dev (>= 5.50.0~),
+               libkf5emoticons-dev (>= 5.50.0~),
+               libkf5globalaccel-dev (>= 5.50.0~),
+               libkf5guiaddons-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5notifications-dev (>= 5.50.0~),
+               libkf5parts-dev (>= 5.50.0~),
+               libkf5service-dev (>= 5.50.0~),
+               libkf5textwidgets-dev (>= 5.50.0~),
+               libkf5unitconversion-dev (>= 5.50.0~),
+               libkf5widgetsaddons-dev (>= 5.50.0~),
+               libkf5windowsystem-dev (>= 5.50.0~),
+               libkf5xmlgui-dev (>= 5.50.0~),
+               libnm-dev,
+               libnm-util-dev,
+               libqt5svg5-dev (>= 5.8.0~),
+               libqt5x11extras5-dev (>= 5.8.0~),
                libsm-dev,
                libssl-dev,
                liburi-perl,
                libx11-dev,
-               network-manager-dev (>= 0.7.0~) [linux-any],
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.8.0~),
+               qttools5-dev (>= 5.8.0~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kdelibs4support
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdelibs4support
@@ -69,39 +70,39 @@
 Package: libkf5kdelibs4support-dev
 Architecture: any
 Section: libdevel
-Depends: kgendesignerplugin (>= 5.44.0~),
-         kinit-dev (>= 5.44.0~),
-         kross-dev (>= 5.44.0~),
-         libkf5configwidgets-dev (>= 5.44.0~),
-         libkf5crash-dev (>= 5.44.0~),
-         libkf5dnssd-dev (>= 5.44.0~),
-         libkf5doctools-dev (>= 5.44.0~),
-         libkf5emoticons-dev (>= 5.44.0~),
-         libkf5guiaddons-dev (>= 5.44.0~),
-         libkf5iconthemes-dev (>= 5.44.0~),
-         libkf5idletime-dev (>= 5.44.0~),
-         libkf5itemmodels-dev (>= 5.44.0~),
-         libkf5kcmutils-dev (>= 5.44.0~),
+Depends: kgendesignerplugin (>= 5.50.0~),
+         kinit-dev (>= 5.50.0~),
+         kross-dev (>= 5.50.0~),
+         libkf5configwidgets-dev (>= 5.50.0~),
+         libkf5crash-dev (>= 5.50.0~),
+         libkf5dnssd-dev (>= 5.50.0~),
+         libkf5doctools-dev (>= 5.50.0~),
+         libkf5emoticons-dev (>= 5.50.0~),
+         libkf5guiaddons-dev (>= 5.50.0~),
+         libkf5iconthemes-dev (>= 5.50.0~),
+         libkf5idletime-dev (>= 5.50.0~),
+         libkf5itemmodels-dev (>= 5.50.0~),
+         libkf5kcmutils-dev (>= 5.50.0~),
          libkf5kdelibs4support5 (= ${binary:Version}),
          libkf5kdelibs4support5-bin (= ${binary:Version}),
-         libkf5khtml-dev (>= 5.44.0~),
-         libkf5mediaplayer-dev (>= 5.44.0~),
-         libkf5newstuff-dev (>= 5.44.0~),
-         libkf5notifications-dev (>= 5.44.0~),
-         libkf5notifyconfig-dev (>= 5.44.0~),
-         libkf5parts-dev (>= 5.44.0~),
-         libkf5plotting-dev (>= 5.44.0~),
-         libkf5style-dev (>= 5.44.0~),
-         libkf5su-dev (>= 5.44.0~),
-         libkf5textwidgets-dev (>= 5.44.0~),
-         libkf5threadweaver-dev (>= 5.44.0~),
-         libkf5unitconversion-dev (>= 5.44.0~),
-         libkf5wallet-dev (>= 5.44.0~),
-         libkf5webkit-dev (>= 5.44.0~),
-         libkf5windowsystem-dev (>= 5.44.0~),
+         libkf5khtml-dev (>= 5.50.0~),
+         libkf5mediaplayer-dev (>= 5.50.0~),
+         libkf5newstuff-dev (>= 5.50.0~),
+         libkf5notifications-dev (>= 5.50.0~),
+         libkf5notifyconfig-dev (>= 5.50.0~),
+         libkf5parts-dev (>= 5.50.0~),
+         libkf5plotting-dev (>= 5.50.0~),
+         libkf5style-dev (>= 5.50.0~),
+         libkf5su-dev (>= 5.50.0~),
+         libkf5textwidgets-dev (>= 5.50.0~),
+         libkf5threadweaver-dev (>= 5.50.0~),
+         libkf5unitconversion-dev (>= 5.50.0~),
+         libkf5wallet-dev (>= 5.50.0~),
+         libkf5webkit-dev (>= 5.50.0~),
+         libkf5windowsystem-dev (>= 5.50.0~),
          libssl-dev | libssl1.0-dev,
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
 Description: development files for kde4support
  This framework provides code and utilities to ease
  the transition from kdelibs 4 to KDE Frameworks 5.

## kdelibs4support 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
-
-set(KF5_VERSION "5.44.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+cmake_minimum_required(VERSION 3.5)
+
+set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
 project(KDELibs4Support VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -19,7 +19,7 @@
 include(GenerateExportHeader)
 include(CMakeFindFrameworks)
 
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Network Widgets DBus Test Svg PrintSupport Designer)
 
 find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
@@ -75,6 +75,8 @@
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
 remove_definitions(-DQT_USE_QSTRINGBUILDER)
+# TODO: use QT_USE_QSTRINGBUILDER instead of deprecated & undocumented QT_USE_FAST_OPERATOR_PLUS
+add_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
 
 # This one won't be needed when CMake 2.8.13 is depended on.
 add_definitions(
@@ -91,7 +93,7 @@
 target_link_libraries(kf5-config KF5::CoreAddons KF5::I18n KF5::ConfigCore KF5::KDELibs4Support)
 target_include_directories(kf5-config PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../..")
 
-install(TARGETS kf5-config EXPORT KF5KDELibs4SupportTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ) # put this for now into the export set KDELibs4SupportTargets, so that it exists and is not empty
+install(TARGETS kf5-config ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
 
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them

=== cmake/systeminfo/CMakeLists.txt ===
macro(LOG line)
   message(STATUS ${line})
   file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/SystemInfo.txt "${line}\n")
endmacro(LOG line)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/SystemInfo.txt "CMake system information: \n")
message(STATUS "-----------------------------------")
message(STATUS "Printing system information: ")
message(STATUS "-----------------------------------")

log("C compiler: ${CMAKE_C_COMPILER}")
log("CXX compiler: ${CMAKE_CXX_COMPILER}")
log("C compiler is gcc: ${CMAKE_COMPILER_IS_GNUCC}")
log("CXX compiler is g++: ${CMAKE_COMPILER_IS_GNUCXX}")
log("System: ${CMAKE_SYSTEM}")
log("System name: ${CMAKE_SYSTEM_NAME}")
log("System version: ${CMAKE_SYSTEM_VERSION}")

if(UNIX)
   log("This is some kind of UNIX environment")
endif()

if(WIN32)
   log("This is Windows")
endif()

if(APPLE)
   log("This is an Apple")
endif()

if(MINGW)
   log("This is MinGW")
endif()

if(CYGWIN)
   log("This is Cygwin")
endif()

if(BORLAND)
   log("This is for a Borland compiler")
endif()


message(STATUS "-----------------------------------")

=== debian/changelog ===
kdelibs4support (5.54.0-1.lnd.2) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:59:51 +0800

kdelibs4support (5.54.0-1.lnd.1) unstable; urgency=medium

  * Add missing include to fix compile error

 -- Yaling Fang <fangyaling@loongson.cn>  Tue, 6 Jul 2021 14:26:02 +0800

kdelibs4support (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Disable acc autopkgtest
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:02 -0300

kdelibs4support (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Add plasma-workspace as a dependency for the testsuite
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:06 +0100

kdelibs4support (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:45 +0200

kdelibs4support (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update symbols files
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:21 +0200

## kdelibs4support 5.54.0.1+rb2

=== debian/changelog ===
kdelibs4support (5.54.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 20:47:08 +0800

## kdelibs4support 5.54.0.2

=== solid-networkstatus/kded/CMakeLists.txt ===
########### next target ###############

set(kded_networkstatus_PART_SRCS
   networkstatus.cpp
   network.cpp
   systemstatusinterface.cpp
   wicdstatus.cpp
   wicdcustomtypes.cpp
)

find_package(NetworkManager 0.7.0)
set_package_properties(NetworkManager PROPERTIES DESCRIPTION "The NetworkManager headers"
                       URL "http://projects.gnome.org/NetworkManager"
                       TYPE OPTIONAL
                       PURPOSE "Needed for kded's networkstatus module"
                      )

if(NETWORKMANAGER_FOUND)
    if(NM_0_7)
        message(STATUS "Adding in-process NetworkManager service-wart to kded module")
        set(kded_networkstatus_PART_SRCS ${kded_networkstatus_PART_SRCS} networkmanagerstatus.cpp)
        include_directories(${NETWORKMANAGER_INCLUDE_DIRS})
        add_definitions(-DNM_BACKEND_ENABLED)
    endif()
endif()


# FIXME: Re-enable the above when:
# * QNTrack has been ported to Qt5
# * cmake/modules/FindQNtrack.cmake has been adapted to the Qt5 dependency

#find_package(QNtrack)
#set_package_properties(QNtrack PROPERTIES DESCRIPTION "Network status tracking library"
#                       URL "http://launchpad.net/ntrack"
#                       TYPE OPTIONAL
#                       PURPOSE "Provides data input for Solid network status"
#                      )
set(QNTRACK_FOUND FALSE) # Forced to false, see above FIXME

if(QNTRACK_FOUND)
    message(STATUS "Found QNtrack, will use it as a data input for Solid network status")
    set(kded_networkstatus_PART_SRCS ${kded_networkstatus_PART_SRCS} ntracknetworkstate.cpp)
    add_definitions(-DHAVE_QNTRACK)
else()
    message(STATUS "QNtrack not found.  Can be used as a data input to Solid network status.  See https://launchpad.net/ntrack")
endif()

include_directories(${QNTRACK_INCLUDE_DIR})
qt5_add_dbus_adaptor(kded_networkstatus_PART_SRCS ../org.kde.Solid.Networking.Service.xml networkstatus.h NetworkStatusModule)

# we need one of the interfaces installed by kdelibs:
qt5_add_dbus_adaptor(kded_networkstatus_PART_SRCS
        ../../solid/org.kde.Solid.Networking.Client.xml
        networkstatus.h NetworkStatusModule)


add_library(kded_networkstatus MODULE ${kded_networkstatus_PART_SRCS})
set_target_properties(kded_networkstatus PROPERTIES
    OUTPUT_NAME networkstatus
)
kcoreaddons_desktop_to_json(kded_networkstatus networkstatus.desktop SERVICE_TYPES kdedmodule.desktop)

target_link_libraries(kded_networkstatus KF5::DBusAddons KF5::Solid KF5::KDELibs4Support)

if(QNTRACK_FOUND)
   target_link_libraries(kded_networkstatus ${QNTRACK_LIBRARIES})
endif()

install(TARGETS kded_networkstatus DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== debian/tests/control ===
Tests: testsuite
Depends: @, cmake, debhelper, xvfb, xauth, dbus (>= 1.8), openbox, kded5,
         libkf5service-bin, plasma-workspace
Restrictions: build-needed, allow-stderr

# Tests: acc
# Depends: @, dh-acc, exuberant-ctags
# Restrictions: allow-stderr
